import numpy as np
import matplotlib.pyplot as plt
import matplotlib.gridspec as gridspec


gs = gridspec.GridSpec(2, 1, height_ratios=[3, 1])

x = np.linspace(0,10,50)

ax1 = plt.subplot(gs[0,0])
ax1.plot(x, np.sin(x))

ax2 = plt.subplot(gs[1,0])
ax2.plot(x, np.cos(x))

plt.show()



