import numpy as np
import matplotlib.pyplot as plt
import matplotlib.gridspec as gridspec


gs = gridspec.GridSpec(3, 3, wspace=0.3, hspace=0.5,
                       height_ratios=[1, 1, 2])

x = np.linspace(0,10,10**2)

ax1 = plt.subplot(gs[0,:])
ax1.plot(x, np.sin(x))
ax1.semilogx()

ax2 = plt.subplot(gs[1,:-1])
ax2.plot(x, np.cos(x))

ax3 = plt.subplot(gs[1:,-1])
ax4 = plt.subplot(gs[2,0])
ax3 = plt.subplot(gs[2,1])

plt.show()


