import numpy as np
import matplotlib.pyplot as plt

plt.rcParams['font.size'] = 14

x = np.random.uniform(0,1,100000)
y = np.random.uniform(0,1,100000)

x1 = np.arange(0,1,0.0001)
y1 = np.sqrt(1.0 - x1**2)

plt.plot(x, y, 'r,')  
plt.plot(x1, y1)

plt.axis([-0.2,1.2,-0.2,1.2])
plt.show()

